View Issue Details

IDProjectCategoryView StatusLast Update
0025125LazarusLCLpublic2013-10-02 11:36
Reporterfreeman35 Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformX64OSkubuntu 
Product Version1.0.13 (SVN) 
Summary0025125: qt45.pas(12193,97) Error: Incompatible types: got "QStyleHintReturnHintReturnType" expected "QStyleOptionOptionType"
Descriptionfpc svn update At revision 25610.
lazarus svn update At revision 43047.

Free Pascal Compiler version 2.7.1 [2013/10/01] for x86_64
Copyright (c) 1993-2013 by Florian Klaempfl and others
Target OS: Linux for x86-64
Compiling ../lcl.pas
Compiling alllclintfunits.pas
Compiling qtproc.pp
Compiling qt4.pas
qt45.pas(12193,97) Error: Incompatible types: got "QStyleHintReturnHintReturnType" expected "QStyleOptionOptionType"
qt45.pas(13948,1) Fatal: There were 1 errors compiling module, stopping
Fatal: Compilation aborted
make[3]: *** [../lcl.ppu] error 1
make[3]: `/opt/lazarus/lcl/interfaces/qt'
make[2]: *** [qt_all] error 2
make[2]: `/opt/lazarus/lcl/interfaces'
make[1]: *** [interfaces] error 2
make[1]: `/opt/lazarus/lcl'
make: *** [lcl] error 2
TagsNo tags attached.
Fixed in Revision43053
LazTarget-
Widgetset
Attached Files

Activities

Zeljan Rikalo

2013-10-02 07:36

developer   ~0070485

Please test and close if ok.

freeman35

2013-10-02 11:36

reporter   ~0070488

Thank you very much, fixed, you can close

Issue History

Date Modified Username Field Change
2013-10-01 12:25 freeman35 New Issue
2013-10-02 07:27 Zeljan Rikalo Assigned To => Zeljan Rikalo
2013-10-02 07:27 Zeljan Rikalo Status new => assigned
2013-10-02 07:36 Zeljan Rikalo Fixed in Revision => 43053
2013-10-02 07:36 Zeljan Rikalo LazTarget => -
2013-10-02 07:36 Zeljan Rikalo Note Added: 0070485
2013-10-02 07:36 Zeljan Rikalo Status assigned => resolved
2013-10-02 07:36 Zeljan Rikalo Resolution open => fixed
2013-10-02 11:36 freeman35 Note Added: 0070488